using Blazored.LocalStorage;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Http;
using System.Net.Http.Json;
using System.Threading.Tasks;
using wispro.sp.entity;

namespace wispro.sp.web.Services
{
    public class CalMonthServices
    {
        private readonly IHttpService  _httpClient;
        
        public CalMonthServices(IHttpService httpClient)
        {
            _httpClient = httpClient;
            
        }
        public async  Task<CalMonth> GetHandlingMonth()
        {
            try
            {
                var data = await _httpClient.Get<CalMonth>($"CalMonth/GetHandlingMonth");
                return data;
            }
            catch
            {
                return null;
            }
        }
    }
}
